--
-- characterAnimFix
--
-- @author:		Rival
-- @date:		09.08.2017
-- @version:	v1.0
-- @history:	v1.0 - initial version
--
-- free for non-commercial usage

characterAnimFix = {};

function characterAnimFix.prerequisitesPresent(specializations)
    return true; 
end
function characterAnimFix:load(savegame)
	self.oldspeed = 0;
end
function characterAnimFix:delete()
end
function characterAnimFix:mouseEvent(posX, posY, isDown, isUp, button)
end
function characterAnimFix:keyEvent(unicode, sym, modifier, isDown)
end
function characterAnimFix:update(dt)
	if self:getLastSpeed() ~= self.oldspeed then
		if self.vehicleCharacter ~= nil then
			self.vehicleCharacter:setDirty();
		end
		self.oldspeed = self:getLastSpeed();
	end
end

function characterAnimFix:draw()
end